# Tor Bundle in Docker

## Launching Tor

```
docker-compose run --rm tor
```

You can use the following shortcut function and place it to your `~/.bash_aliases` file

```
alias docker="sudo -E docker"
alias docker-compose="sudo -E docker-compose"

function docker_helper() { { pushd ~/git/$1; docker-compose rm -fa "$1"; docker-compose run -d --name "$1" "$@"; popd; } }
function tor() { { docker_helper $FUNCNAME $@; } }

# OR
alias tor='docker-compose -f ~/git/tor/docker-compose.yml up -d'
```
